#pragma once

namespace TSE
{
    class Texture;

    class ITextureHelper
    {
    public:
        virtual void Bind(const Texture* tex) = 0;
        virtual void UnBind(const Texture* tex) = 0;
        virtual void Apply(Texture* tex) = 0;
        virtual void Regist(Texture* tex) = 0;
        virtual void PlatromDestroy(Texture* tex) = 0;
    };
} // namespace TSE
